Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Get a schedule

GET /schedules/{id}

Retrieves the specified schedule resource.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Parámetros de la ruta de acceso

id string requerido

Identifier of the schedule.

Parámetros de encabezado

Foundry-Features enum requerido

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

Respuestas

The request has succeeded.

Cuerpo

Content-Type: application/json
id string requerido

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean requerido

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Cualquiera de las siguientes:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime requerido

Base model for Trigger of the schedule.

Uno de los siguientes:
Cron CronTrigger

Cron based trigger.

type enum requerido
Cron
expression string requerido

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum requerido

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer requerido

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly requerido

Recurrence schedule model.

Uno de los siguientes:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum requerido
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum requerido

Daily recurrence type.

Daily
hours integer[] requerido

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum requerido

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] requerido

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum requerido

Monthly recurrence type.

Monthly
daysOfMonth integer[] requerido

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum requerido
OneTime
triggerAt string requerido

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight requerido

Schedule task model.

Uno de los siguientes:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum requerido
Evaluation
evalId string requerido

Identifier of the evaluation group.

evalRun object requerido

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum requerido
Insight
insight Insight requerido

The response body for cluster insights.

id string requerido

The unique identifier for the insights report.

metadata InsightsMetadata requerido

Metadata about the insights.

createdAt string requerido

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string requerido

Enum describing allowed operation states.

Cualquiera de las siguientes:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string requerido

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison requerido

The request of the insights report.

Uno de los siguientes:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum requerido

The type of insights request.

EvaluationRunClusterInsight
evalId string requerido

Evaluation Id for the insights.

runIds string[] requerido

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string requerido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum requerido

The type of request.

AgentClusterInsight
agentName string requerido

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string requerido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum requerido

The type of request.

EvaluationComparison
evalId string requerido

Identifier for the evaluation.

baselineRunId string requerido

The baseline run ID for comparison.

treatmentRunIds string[] requerido

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Uno de los siguientes:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum requerido

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] requerido

Comparison results for each treatment run against the baseline.

method string requerido

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum requerido

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult requerido

Insights from the cluster analysis.

summary InsightSummary requerido

Summary of the error cluster analysis.

sampleCount integer requerido

Total number of samples analyzed.

uniqueSubclusterCount integer requerido

Total number of unique subcluster labels.

uniqueClusterCount integer requerido

Total number of unique clusters.

method string requerido

Method used for clustering.

usage ClusterTokenUsage requerido

Token usage for cluster analysis

inputTokenUsage integer requerido

input token usage

outputTokenUsage integer requerido

output token usage

totalTokenUsage integer requerido

total token usage

clusters InsightCluster[] requerido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer requerido

X-axis coordinate.

y integer requerido

Y-axis coordinate.

size integer requerido

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum requerido

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult requerido

Insights from the cluster analysis.

summary InsightSummary requerido

Summary of the error cluster analysis.

sampleCount integer requerido

Total number of samples analyzed.

uniqueSubclusterCount integer requerido

Total number of unique subcluster labels.

uniqueClusterCount integer requerido

Total number of unique clusters.

method string requerido

Method used for clustering.

usage ClusterTokenUsage requerido

Token usage for cluster analysis

inputTokenUsage integer requerido

input token usage

outputTokenUsage integer requerido

output token usage

totalTokenUsage integer requerido

total token usage

clusters InsightCluster[] requerido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer requerido

X-axis coordinate.

y integer requerido

Y-axis coordinate.

size integer requerido

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object requerido

System metadata for the resource.

[key: string] string

Client error

Encabezados

x-ms-error-code string

String error code indicating what went wrong.

Cuerpo

Content-Type: application/json
error Azure.Core.Foundations.Error requerido

The error object.

code string requerido

One of a server-defined set of error codes.

message string requerido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Encabezados

x-ms-error-code string

String error code indicating what went wrong.

Cuerpo

Content-Type: application/json
error Azure.Core.Foundations.Error requerido

The error object.

code string requerido

One of a server-defined set of error codes.

message string requerido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Solicitar

GET /schedules/{id} HTTP/1.1

Respuesta

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026